# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cc_default - Resolve the default credential cache name.

krb5_error_code krb5_cc_default(krb5_context context, krb5_ccache *ccache)

param

  [in] context - Library context

  [out] ccache - Pointer to credential cache name

retval

  - 0 Success

  - KV5M_CONTEXT Bad magic number for _krb5_context structure

  - KRB5_FCC_INTERNAL The name of the default credential cache cannot be obtained

return

  - Kerberos error codes

Create a handle to the default credential cache as given by `krb5_cc_default_name()` .